## fdsink fdsink — Write data to a file descriptor |

## Synopsis

    struct              GstFdSink;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBaseSink
                               +----GstFdSink

## Implemented Interfaces

GstFdSink implements GstURIHandler.

## Properties

      "fd"                       gint                  : Read / Write

## Description

Write data to a unix file descriptor.

This element will synchronize on the clock before writing the data on the socket. For file descriptors where this does not make sense (files, ...) the "sync" property can be used to disable synchronisation.

Last reviewed on 2006-04-28 (0.10.6)

## Synopsis

### Element Information

plugin | coreelements
author | Erik Walthinsen <omega@cse.ogi.edu>
class | Sink/File

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

## Details

### struct GstFdSink

    struct GstFdSink;

The opaque GstFdSink data structure.

## Property Details

### The `"fd"` property

      "fd"                       gint                  : Read / Write

An open file descriptor to write to.

Allowed values: >= 0

Default value: 1

## See Also

GstFdSrc